import { Modal, IconButton } from '@mui/material';
import './TaskModal.css'

const TaskModal = (props) => {
 
    return (
        <Modal
        aria-labelledby="transition-modal-title"
        aria-describedby="transition-modal-description"
        className={"modal"}
        closeAfterTransition
        onClose={props.handleClose}
        open={props.open}
      >
        <div className="modalBox">
          { props.task && props.task.title && (
            <div
              style={{
                width: "200px",
                height: "200px",
                color: "white",
                fontWeight: "600",
              }}
            >
              {props.task.title}
            </div>
          )}
          {props.task && props.task.description && (
            <div style={{ width: "200px", height: "200px", color: "white" }}>
              {props.task.description}
            </div>
          )}
          <IconButton
            sx={{ marginLeft: 0, color: "white" }}
            aria-label="close"
            onClick={props.handleClose}
          >
            X
          </IconButton>
        </div>
      </Modal>
    );
  };
  
export default TaskModal;