import express, { Express } from 'express';
import cors from 'cors';
import mongoose from 'mongoose';
import users from './routers/users';

console.log('Hello world!');

const app:Express = express();
app.use(express.static('public'));
app.use(cors())
app.use(express.json());
const PORT = 8000;
app.use('/users',users)

const run = async() => {
    mongoose.connect(`mongodb://localhost:27017/task-planner`);


    app.listen(PORT, () => {
        console.log(`Server started at http://localhost:${PORT}/`);
    })

    process.on("exit", () => {
        mongoose.disconnect();
    })
}

run().catch(console.error);